afReadMisc, afWriteMisc, afSeekMisc

SYNOPSIS

#include <audiofile.h>

int afReadMisc (const AFfilehandle file, int miscid, void *buffer, int nbytes);

int afWriteMisc (const AFfilehandle file, int miscid, void *buffer, int nbytes);

int afSeekMisc (const AFfilehandle file, int chunkid, int offbytes);

RETURN VALUE

afReadMisc returns the number of bytes read from the specified
miscellaneous chunk into the buffer referred to by buffer.

afWriteMisc returns the number of bytes written to the specified
miscellaneous chunk from the buffer referred to by buffer.

afSeekMisc returns the new location of the logical file pointer as
measured as an offset in bytes from the beginning of the miscellaneous
chunk's data area.

ERROR VALUES
afReadMisc, afWriteMisc, and afSeekMisc can return the following error
codes:
AF_BAD_READ
AF_BAD_WRITE
AF_BAD_MISCSEEK
AF_BAD_MISCID
AF_BAD_TRACKID
AF_BAD_FILEHANDLE
